## cine-encoder 3.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(cine_encoder VERSION 3.5.5 LANGUAGES C CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Set up AUTOMOC and some sensible defaults for runtime execution
# When using Qt 6.3, you can replace the code block below with
# qt_standard_project_setup()
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
include(GNUInstallDirs)
set(CMAKE_AUTOUIC ON)

find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Multimedia Svg)
find_package(Qt${QT_VERSION_MAJOR} OPTIONAL_COMPONENTS Widgets X11Extras)

add_executable(cine_encoder WIN32 MACOSX_BUNDLE
    app/basedialog.cpp app/basedialog.h
    app/constants.h
    app/encoder.cpp app/encoder.h
    app/encoderstream.cpp app/encoderstream.h
    app/fileiconprovider.cpp app/fileiconprovider.h
    app/helper.cpp app/helper.h
    app/main.cpp
    app/mainwindow.cpp app/mainwindow.h app/mainwindow.ui
    app/message.cpp app/message.h app/message.ui
    app/notification.cpp app/notification.h app/notification.ui
    app/popupmessage.cpp app/popupmessage.h app/popupmessage.ui
    app/preset.cpp app/preset.h app/preset.ui
    app/progress.cpp app/progress.h app/progress.ui
    app/report.cpp app/report.h app/report.ui
    app/settings.cpp app/settings.h app/settings.ui
    app/streamconverter.cpp app/streamconverter.h app/streamconverter.ui
    app/tables.h
    app/widgets/qanimatedsvg.cpp app/widgets/qanimatedsvg.h
    app/widgets/qdoublebutton.cpp app/widgets/qdoublebutton.h
    app/widgets/qstreamview.cpp app/widgets/qstreamview.h
    app/files.qrc
)
target_link_libraries(cine_encoder PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Multimedia
    Qt::Svg
)

target_include_directories(cine_encoder PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/app)

if((QT_VERSION_MAJOR GREATER 4))
    target_link_libraries(cine_encoder PRIVATE
        Qt::Widgets
    )
endif()

if(DEFINES___contains___WM_CUSTOM)
    target_sources(cine_encoder PUBLIC
        app/basewindow_cwm.cpp app/basewindow_cwm.h
    )
endif()

if(UNIX AND NOT DEFINES___contains___WM_CUSTOM AND NOT MACOS)
    target_sources(cine_encoder PUBLIC
        app/platform_unix/basewindow.cpp app/platform_unix/basewindow.h
        app/platform_unix/xutil.cpp app/platform_unix/xutil.h
    )
endif()

if(WIN32 AND NOT DEFINES___contains___WM_CUSTOM)
    target_sources(cine_encoder PUBLIC
        platform_win/basewindow.cpp platform_win/basewindow.h
    )
endif()

if(WIN32)
    target_link_libraries(cine_encoder PRIVATE
        dwmapi
        user32
    )
endif()

if(UNIX AND NOT MACOS)
    target_link_libraries(cine_encoder PRIVATE
        Qt::X11Extras
        X11
        Xext
        mediainfo
    )
endif()

install(TARGETS cine_encoder
    BUNDLE DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

# Consider using qt_generate_deploy_app_script() for app deployment if
# the project can use Qt 6.3. In that case rerun qmake2cmake with
# --min-qt-version=6.3.

## cine-encoder 3.5.2+git20220108

=== debian/changelog ===
cine-encoder (3.5.2+git20220108-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Build depends add debhelper-compat.
  * Removed incorrect entry of "2021 "18 Nov 2021"" from cine-encoder.1.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 25 Jan 2022 22:21:56 -0500

cine-encoder (3.5.2) groovy; urgency=medium

  * Initial release

 -- Oleg Kozhukharenko <depositmail@rambler.ru>  Thu, 18 Nov 2021 20:00:00 +0530

=== debian/control ===
Source: cine-encoder
Section: video
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Oleg Kozhukharenko <depositmail@rambler.ru>
Build-Depends:	debhelper-compat (= 13),
                qt5-qmake,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtmultimedia5-dev,
                libmediainfo-dev
Standards-Version: 4.5.0
Homepage: https://github.com/CineEncoder/cine-encoder

Package: cine-encoder
Architecture: any
Depends:	${misc:Depends},
            ${shlibs:Depends},
            ffmpeg,
            mkvtoolnix
Description: Cine Encoder 2021 ver 3.5
 Cine Encoder is an application, uses the FFmpeg, MKVToolNix and MediaInfo
 utilities, that allows to convert media files while preserving HDR metadata.
 Supported hardware encoding NVENC and Intel QSV (for Windows and experimental
 for Linux). The following encoding modes are implemented: H265, H264, VP9,
 MPEG-2, XDCAM, XAVC, DNxHR, ProRes.
 Licence: GNU GPL v.3

## cine-encoder 3.5.5

=== debian/changelog ===
cine-encoder (3.5.5-1~mx25) mx; urgency=medium

  * Import new upstream release.
  * Add i965-va-driver as suggested package, cmake and libxext-dev as BDs.
  * Modernize d/rules and simplify the build-deps, since some pull in others.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Nov 2025 15:39:05 -0800

=== debian/watch ===
version=3
https://github.com/CineEncoder/cine-encoder/tags .*/archive/[a-z](\d\S*)\.tar\.gz
